Subject: Re: ECOFEMINISM
From: [email-masked] ([email-masked])
Date: 20 Jul 1994 00:29:06 -0000
Newsgroups: alt.sustainable.agriculture

Jessica_laub wrote about ecofeminism. It sounds very worthwhile but
how come it isn't obvious. In my area the females work just as hard
against conservation as the males do. It is often by a different
methods though: eg men drive the log skidders and run meetings whereas
women pronounce during conversations and appear in newspapers.
In support of conservation the number of females may be greater in
this neighbourhood, probably because many males feel obliged to follow
the obvious symbols of strength, namely the machines used in environmental
destruction. This latter aspect is used by organisations that benefit from it.
The matriacal approach when surfaced has made great advances
in animal welfare in my neighbourhood but faces opposition from both
males and females.
Our society would benefit by us all learning from non-human nature by close
observation, we could save our energy by not opposing it too much.
How does ecofeminism presently aid conservation? Is it high profile?

Chris.  

Email: [email-masked]
Post: c/o-Post Office, Meander, TAS 7304, Australia

Discalimer: The views or statements expressed here are my own and
do not necessarily represent those of anyone else,
nor the AMC institute.